import { ModelsAddress } from './modelsAddress';
import { ModelsGender } from './modelsGender';
import { ModelsMaritalStatus } from './modelsMaritalStatus';
import { ModelsPreferences } from './modelsPreferences';
export declare class ModelsPerson {
    'address'?: ModelsAddress;
    'birthDate': string;
    'cellPhone'?: string;
    'cellPhoneVerified'?: boolean;
    'displayName': string;
    'email'?: string;
    'emailVerified'?: boolean;
    'firstName': string;
    'gender': ModelsGender;
    'homePhone'?: string;
    'id'?: string;
    'lastName': string;
    'maritalStatus': ModelsMaritalStatus;
    'middleName'?: string;
    'personID'?: number;
    'preferences'?: ModelsPreferences;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
