/// <reference types="node" />
export * from './affiliationsApi';
import { AffiliationsApi } from './affiliationsApi';
export * from './consentsApi';
import { ConsentsApi } from './consentsApi';
export * from './countriesApi';
import { CountriesApi } from './countriesApi';
export * from './orgsApi';
import { OrgsApi } from './orgsApi';
export * from './personsApi';
import { PersonsApi } from './personsApi';
export * from './relationsApi';
import { RelationsApi } from './relationsApi';
import * as http from 'http';
export declare class HttpError extends Error {
    response: http.IncomingMessage;
    body: any;
    statusCode?: number | undefined;
    constructor(response: http.IncomingMessage, body: any, statusCode?: number | undefined);
}
export { RequestFile } from '../model/models';
export declare const APIS: (typeof AffiliationsApi | typeof ConsentsApi | typeof CountriesApi | typeof OrgsApi | typeof PersonsApi | typeof RelationsApi)[];
