"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiResponseErrorCode = void 0;
var ApiResponseErrorCode;
(function (ApiResponseErrorCode) {
    ApiResponseErrorCode[ApiResponseErrorCode["NotFound"] = 'not-found'] = "NotFound";
    ApiResponseErrorCode[ApiResponseErrorCode["InvalidQuery"] = 'invalid-query'] = "InvalidQuery";
    ApiResponseErrorCode[ApiResponseErrorCode["InvalidBody"] = 'invalid-body'] = "InvalidBody";
    ApiResponseErrorCode[ApiResponseErrorCode["InvalidKeyReference"] = 'invalid-key-reference'] = "InvalidKeyReference";
    ApiResponseErrorCode[ApiResponseErrorCode["CannotParseToken"] = 'cannot-parse-token'] = "CannotParseToken";
    ApiResponseErrorCode[ApiResponseErrorCode["InvalidToken"] = 'invalid-token'] = "InvalidToken";
    ApiResponseErrorCode[ApiResponseErrorCode["MissingScopes"] = 'missing-scopes'] = "MissingScopes";
    ApiResponseErrorCode[ApiResponseErrorCode["InternalError"] = 'internal-error'] = "InternalError";
})(ApiResponseErrorCode = exports.ApiResponseErrorCode || (exports.ApiResponseErrorCode = {}));
//# sourceMappingURL=apiResponseErrorCode.js.map