"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoidAuth = exports.OAuth = exports.ApiKeyAuth = exports.HttpBearerAuth = exports.HttpBasicAuth = exports.ObjectSerializer = void 0;
__exportStar(require("./address"), exports);
__exportStar(require("./affiliation"), exports);
__exportStar(require("./affiliationType"), exports);
__exportStar(require("./affiliationWrite"), exports);
__exportStar(require("./affiliationWritePatch"), exports);
__exportStar(require("./apiResponseErrorCode"), exports);
__exportStar(require("./apiResponseErrorData"), exports);
__exportStar(require("./apiResponseErrorDetails"), exports);
__exportStar(require("./consent"), exports);
__exportStar(require("./consentPurpose"), exports);
__exportStar(require("./consentWrite"), exports);
__exportStar(require("./consentWritePatch"), exports);
__exportStar(require("./country"), exports);
__exportStar(require("./countryWrite"), exports);
__exportStar(require("./countryWritePatch"), exports);
__exportStar(require("./gender"), exports);
__exportStar(require("./maritalStatus"), exports);
__exportStar(require("./metadata"), exports);
__exportStar(require("./modelsPersonRelation"), exports);
__exportStar(require("./nationalId"), exports);
__exportStar(require("./org"), exports);
__exportStar(require("./orgActiveStatus"), exports);
__exportStar(require("./orgType"), exports);
__exportStar(require("./orgWrite"), exports);
__exportStar(require("./orgWritePatch"), exports);
__exportStar(require("./person"), exports);
__exportStar(require("./personRelationType"), exports);
__exportStar(require("./personWrite"), exports);
__exportStar(require("./personWritePatch"), exports);
__exportStar(require("./preferences"), exports);
__exportStar(require("./preferencesPatch"), exports);
__exportStar(require("./relation"), exports);
__exportStar(require("./relationType"), exports);
__exportStar(require("./relationWrite"), exports);
__exportStar(require("./relationWritePatch"), exports);
__exportStar(require("./searchVisibility"), exports);
__exportStar(require("./visibilityPreferences"), exports);
__exportStar(require("./visibilityPreferencesPatch"), exports);
__exportStar(require("./wrappedAffiliation"), exports);
__exportStar(require("./wrappedConsent"), exports);
__exportStar(require("./wrappedCountry"), exports);
__exportStar(require("./wrappedOrg"), exports);
__exportStar(require("./wrappedPerson"), exports);
__exportStar(require("./wrappedRelation"), exports);
__exportStar(require("./wrappedWithMetaArrayAffiliation"), exports);
__exportStar(require("./wrappedWithMetaArrayConsent"), exports);
__exportStar(require("./wrappedWithMetaArrayCountry"), exports);
__exportStar(require("./wrappedWithMetaArrayOrg"), exports);
__exportStar(require("./wrappedWithMetaArrayPerson"), exports);
__exportStar(require("./wrappedWithMetaArrayRelation"), exports);
var address_1 = require("./address");
var affiliation_1 = require("./affiliation");
var affiliationType_1 = require("./affiliationType");
var affiliationWrite_1 = require("./affiliationWrite");
var affiliationWritePatch_1 = require("./affiliationWritePatch");
var apiResponseErrorCode_1 = require("./apiResponseErrorCode");
var apiResponseErrorData_1 = require("./apiResponseErrorData");
var apiResponseErrorDetails_1 = require("./apiResponseErrorDetails");
var consent_1 = require("./consent");
var consentPurpose_1 = require("./consentPurpose");
var consentWrite_1 = require("./consentWrite");
var consentWritePatch_1 = require("./consentWritePatch");
var country_1 = require("./country");
var countryWrite_1 = require("./countryWrite");
var countryWritePatch_1 = require("./countryWritePatch");
var gender_1 = require("./gender");
var maritalStatus_1 = require("./maritalStatus");
var metadata_1 = require("./metadata");
var modelsPersonRelation_1 = require("./modelsPersonRelation");
var nationalId_1 = require("./nationalId");
var org_1 = require("./org");
var orgActiveStatus_1 = require("./orgActiveStatus");
var orgType_1 = require("./orgType");
var orgWrite_1 = require("./orgWrite");
var orgWritePatch_1 = require("./orgWritePatch");
var person_1 = require("./person");
var personRelationType_1 = require("./personRelationType");
var personWrite_1 = require("./personWrite");
var personWritePatch_1 = require("./personWritePatch");
var preferences_1 = require("./preferences");
var preferencesPatch_1 = require("./preferencesPatch");
var relation_1 = require("./relation");
var relationType_1 = require("./relationType");
var relationWrite_1 = require("./relationWrite");
var relationWritePatch_1 = require("./relationWritePatch");
var searchVisibility_1 = require("./searchVisibility");
var visibilityPreferences_1 = require("./visibilityPreferences");
var visibilityPreferencesPatch_1 = require("./visibilityPreferencesPatch");
var wrappedAffiliation_1 = require("./wrappedAffiliation");
var wrappedConsent_1 = require("./wrappedConsent");
var wrappedCountry_1 = require("./wrappedCountry");
var wrappedOrg_1 = require("./wrappedOrg");
var wrappedPerson_1 = require("./wrappedPerson");
var wrappedRelation_1 = require("./wrappedRelation");
var wrappedWithMetaArrayAffiliation_1 = require("./wrappedWithMetaArrayAffiliation");
var wrappedWithMetaArrayConsent_1 = require("./wrappedWithMetaArrayConsent");
var wrappedWithMetaArrayCountry_1 = require("./wrappedWithMetaArrayCountry");
var wrappedWithMetaArrayOrg_1 = require("./wrappedWithMetaArrayOrg");
var wrappedWithMetaArrayPerson_1 = require("./wrappedWithMetaArrayPerson");
var wrappedWithMetaArrayRelation_1 = require("./wrappedWithMetaArrayRelation");
var primitives = [
    "string",
    "boolean",
    "double",
    "integer",
    "long",
    "float",
    "number",
    "any"
];
var enumsMap = {
    "AffiliationType": affiliationType_1.AffiliationType,
    "ApiResponseErrorCode": apiResponseErrorCode_1.ApiResponseErrorCode,
    "ConsentPurpose": consentPurpose_1.ConsentPurpose,
    "Gender": gender_1.Gender,
    "MaritalStatus": maritalStatus_1.MaritalStatus,
    "OrgActiveStatus": orgActiveStatus_1.OrgActiveStatus,
    "OrgType": orgType_1.OrgType,
    "PersonRelationType": personRelationType_1.PersonRelationType,
    "RelationType": relationType_1.RelationType,
    "SearchVisibility": searchVisibility_1.SearchVisibility,
};
var typeMap = {
    "Address": address_1.Address,
    "Affiliation": affiliation_1.Affiliation,
    "AffiliationWrite": affiliationWrite_1.AffiliationWrite,
    "AffiliationWritePatch": affiliationWritePatch_1.AffiliationWritePatch,
    "ApiResponseErrorData": apiResponseErrorData_1.ApiResponseErrorData,
    "ApiResponseErrorDetails": apiResponseErrorDetails_1.ApiResponseErrorDetails,
    "Consent": consent_1.Consent,
    "ConsentWrite": consentWrite_1.ConsentWrite,
    "ConsentWritePatch": consentWritePatch_1.ConsentWritePatch,
    "Country": country_1.Country,
    "CountryWrite": countryWrite_1.CountryWrite,
    "CountryWritePatch": countryWritePatch_1.CountryWritePatch,
    "Metadata": metadata_1.Metadata,
    "ModelsPersonRelation": modelsPersonRelation_1.ModelsPersonRelation,
    "NationalId": nationalId_1.NationalId,
    "Org": org_1.Org,
    "OrgWrite": orgWrite_1.OrgWrite,
    "OrgWritePatch": orgWritePatch_1.OrgWritePatch,
    "Person": person_1.Person,
    "PersonWrite": personWrite_1.PersonWrite,
    "PersonWritePatch": personWritePatch_1.PersonWritePatch,
    "Preferences": preferences_1.Preferences,
    "PreferencesPatch": preferencesPatch_1.PreferencesPatch,
    "Relation": relation_1.Relation,
    "RelationWrite": relationWrite_1.RelationWrite,
    "RelationWritePatch": relationWritePatch_1.RelationWritePatch,
    "VisibilityPreferences": visibilityPreferences_1.VisibilityPreferences,
    "VisibilityPreferencesPatch": visibilityPreferencesPatch_1.VisibilityPreferencesPatch,
    "WrappedAffiliation": wrappedAffiliation_1.WrappedAffiliation,
    "WrappedConsent": wrappedConsent_1.WrappedConsent,
    "WrappedCountry": wrappedCountry_1.WrappedCountry,
    "WrappedOrg": wrappedOrg_1.WrappedOrg,
    "WrappedPerson": wrappedPerson_1.WrappedPerson,
    "WrappedRelation": wrappedRelation_1.WrappedRelation,
    "WrappedWithMetaArrayAffiliation": wrappedWithMetaArrayAffiliation_1.WrappedWithMetaArrayAffiliation,
    "WrappedWithMetaArrayConsent": wrappedWithMetaArrayConsent_1.WrappedWithMetaArrayConsent,
    "WrappedWithMetaArrayCountry": wrappedWithMetaArrayCountry_1.WrappedWithMetaArrayCountry,
    "WrappedWithMetaArrayOrg": wrappedWithMetaArrayOrg_1.WrappedWithMetaArrayOrg,
    "WrappedWithMetaArrayPerson": wrappedWithMetaArrayPerson_1.WrappedWithMetaArrayPerson,
    "WrappedWithMetaArrayRelation": wrappedWithMetaArrayRelation_1.WrappedWithMetaArrayRelation,
};
var ObjectSerializer = (function () {
    function ObjectSerializer() {
    }
    ObjectSerializer.findCorrectType = function (data, expectedType) {
        if (data == undefined) {
            return expectedType;
        }
        else if (primitives.indexOf(expectedType.toLowerCase()) !== -1) {
            return expectedType;
        }
        else if (expectedType === "Date") {
            return expectedType;
        }
        else {
            if (enumsMap[expectedType]) {
                return expectedType;
            }
            if (!typeMap[expectedType]) {
                return expectedType;
            }
            var discriminatorProperty = typeMap[expectedType].discriminator;
            if (discriminatorProperty == null) {
                return expectedType;
            }
            else {
                if (data[discriminatorProperty]) {
                    var discriminatorType = data[discriminatorProperty];
                    if (typeMap[discriminatorType]) {
                        return discriminatorType;
                    }
                    else {
                        return expectedType;
                    }
                }
                else {
                    return expectedType;
                }
            }
        }
    };
    ObjectSerializer.serialize = function (data, type) {
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var index = 0; index < data.length; index++) {
                var datum = data[index];
                transformedData.push(ObjectSerializer.serialize(datum, subType));
            }
            return transformedData;
        }
        else if (type === "Date") {
            return data.toISOString();
        }
        else {
            if (enumsMap[type]) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            type = this.findCorrectType(data, type);
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            var instance = {};
            for (var index = 0; index < attributeTypes.length; index++) {
                var attributeType = attributeTypes[index];
                instance[attributeType.baseName] = ObjectSerializer.serialize(data[attributeType.name], attributeType.type);
            }
            return instance;
        }
    };
    ObjectSerializer.deserialize = function (data, type) {
        type = ObjectSerializer.findCorrectType(data, type);
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var index = 0; index < data.length; index++) {
                var datum = data[index];
                transformedData.push(ObjectSerializer.deserialize(datum, subType));
            }
            return transformedData;
        }
        else if (type === "Date") {
            return new Date(data);
        }
        else {
            if (enumsMap[type]) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            var instance = new typeMap[type]();
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            for (var index = 0; index < attributeTypes.length; index++) {
                var attributeType = attributeTypes[index];
                instance[attributeType.name] = ObjectSerializer.deserialize(data[attributeType.baseName], attributeType.type);
            }
            return instance;
        }
    };
    return ObjectSerializer;
}());
exports.ObjectSerializer = ObjectSerializer;
var HttpBasicAuth = (function () {
    function HttpBasicAuth() {
        this.username = '';
        this.password = '';
    }
    HttpBasicAuth.prototype.applyToRequest = function (requestOptions) {
        requestOptions.auth = {
            username: this.username, password: this.password
        };
    };
    return HttpBasicAuth;
}());
exports.HttpBasicAuth = HttpBasicAuth;
var HttpBearerAuth = (function () {
    function HttpBearerAuth() {
        this.accessToken = '';
    }
    HttpBearerAuth.prototype.applyToRequest = function (requestOptions) {
        if (requestOptions && requestOptions.headers) {
            var accessToken = typeof this.accessToken === 'function'
                ? this.accessToken()
                : this.accessToken;
            requestOptions.headers["Authorization"] = "Bearer " + accessToken;
        }
    };
    return HttpBearerAuth;
}());
exports.HttpBearerAuth = HttpBearerAuth;
var ApiKeyAuth = (function () {
    function ApiKeyAuth(location, paramName) {
        this.location = location;
        this.paramName = paramName;
        this.apiKey = '';
    }
    ApiKeyAuth.prototype.applyToRequest = function (requestOptions) {
        if (this.location == "query") {
            requestOptions.qs[this.paramName] = this.apiKey;
        }
        else if (this.location == "header" && requestOptions && requestOptions.headers) {
            requestOptions.headers[this.paramName] = this.apiKey;
        }
        else if (this.location == 'cookie' && requestOptions && requestOptions.headers) {
            if (requestOptions.headers['Cookie']) {
                requestOptions.headers['Cookie'] += '; ' + this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
            else {
                requestOptions.headers['Cookie'] = this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
        }
    };
    return ApiKeyAuth;
}());
exports.ApiKeyAuth = ApiKeyAuth;
var OAuth = (function () {
    function OAuth() {
        this.accessToken = '';
    }
    OAuth.prototype.applyToRequest = function (requestOptions) {
        if (requestOptions && requestOptions.headers) {
            requestOptions.headers["Authorization"] = "Bearer " + this.accessToken;
        }
    };
    return OAuth;
}());
exports.OAuth = OAuth;
var VoidAuth = (function () {
    function VoidAuth() {
        this.username = '';
        this.password = '';
    }
    VoidAuth.prototype.applyToRequest = function (_) {
    };
    return VoidAuth;
}());
exports.VoidAuth = VoidAuth;
//# sourceMappingURL=models.js.map